Kerbal Space Program - Bug #23398

Bug #22698 remains in the game, pistons can be compressed to negative length
08/21/2019 11:16 PM - agg

Status: Closed Start date: 08/21/2019
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.8.0

Version: 1.7.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

Under high forces (such as holding an inflatable heat shield on re-entry), the large telescoping piston can compress to very negative
lengths, in at least the tens of meters, producing bizarre and unphysical results - if hard to reproduce try slowly varying the target

extension length of the piston.

History

#1 - 08/21/2019 11:18 PM - agg
- File 20190821190520_1.jpg added
- File deleted (20190821190520_1.jpg)

#2 - 10/18/2019 07:31 PM - victorr

- File Piston compressed to minimum by heatshield.png added
- Status changed from New to Ready to Test

- Target version set to 1.8.0

- % Done changed from 0 to 80

We've made some changes in the latest version and would like some feedback on this issue. Thanks.

#3 - 02/21/2020 01:33 AM - chris.fulton
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#4 - 02/21/2020 01:33 AM - chris.fulton

- Status changed from Resolved to Closed

Files

20190821190804_1.jpg 161 KB 08/21/2019 agg
20190821190842_1.jpg 132 KB 08/21/2019 agg
20190821190520_1.jpg 223 KB 08/21/2019 agg
Piston compressed to minimum by heatshield.png 2.6 MB 10/18/2019 victorr
